<template>
    <div class="container">
        <app-header :quoteCount="quotes.length" :maxQuotes="maxQuotes"></app-header>
        <app-new-quote @quoteAdded="addQuote"></app-new-quote>
        <app-quotes-grid :quotes="quotes" @quoteDelited="deleteQuote"></app-quotes-grid>
        <div class="row">
            <div class="col-sm-12 text-center">
                    <div class="alert alert-info">
                        Info: Click on Quote to delete it
                    </div>
            </div>
        </div>
    </div>
</template>

<script>
    import QuotesGrid from './components/QuotesGrid.vue';
    import NewQuote from './components/NewQuote.vue';
    import Header from './components/Header.vue';
    export default {
        data: function () {
            return {
                quotes: [
                    'Just a Quote to see something!'
                ],
                maxQuotes: 10
            }
        },
        methods: {
            addQuote(quote){
                if (this.quotes.length >= 10) {
                    alert('Problem');
                    return false;
                }
                this.quotes.push(quote);
            },
            deleteQuote(index) {
                this.quotes.splice(index, 1);
            }
        },
        components: {
            'app-quotes-grid': QuotesGrid,
            'app-header': Header,
            'app-new-quote': NewQuote
        }
    }
</script>

<style>
</style>
